//*****************************************************************************
// TITLE:         SPIRAL INTERPOLATION OF 4 EDGES
// DESCRIPTION:   Compares several interpolation techniques
// AUTHOR:        Prof Jarek Rossignac
// DATE CREATED:  April 04, 2009 
// EDITS:
//*****************************************************************************
boolean showHelpText=true;       // toggled by keys to show/hide help text
boolean printIt=false;           // temporarily set when key '?' is pressed and used to print some debugging values
PImage me; // picture of student's face
boolean loadedI=false; // did not load an image
PImage I; // image used as background

void setup() { 
  PFont font = loadFont("ArialMT-24.vlw"); textFont(font, 12);      // load font
  me = loadImage("data/me.jpg"); 
  size(800, 800); smooth();   strokeJoin(ROUND); strokeCap(ROUND);  // set up window and drawing modes
  colorMode(HSB, 360, 100, 100);
  declarePoints(); resetPoints();  // initialize
  loadP();  // loads number maxnf of flies P00, P01, P02... 
  loadPts("P"+Format0(fn,2)); loadTwists("T"+Format0(fn,2));
  FourPointAnimationInit();
  setWheel();
  } 

void draw() { background(#FCDB96);   strokeWeight(2);                      // sets background
  if (showHelpText) showHelp(); else myActions(); 
  printIt=false;
  };  // end of draw
  
 


  
 
